%define name drakx-net
%define version 0.26
%define subrel 2
%define release %mkrel 1

%define libname lib%{name}

%define gtk_files (connection_manager|drakroam|ifw|monitor|netcenter).pm

Summary: Mandriva network tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Networking
Url: http://wiki.mandriva.com/en/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: drakxtools >= 10.4.99-3mdv
Requires: %{name}-text = %{version}
Requires: %{libname} = %{version}
Requires: netprofile
Requires: perl-Gtk2-NotificationBubble
Requires: perl-Gtk2 >= 1.154
Requires: usermode-consoleonly >= 1.92-4mdv2008.0
Conflicts: drakxtools <= 10.4.83

%description
This package contains the Mandriva network tools.

net_applet: applet to check network connection

net_monitor: connection monitoring

%package text
Summary: Mandriva network text tools
Group: System/Configuration/Networking
Requires: drakxtools-curses
Requires: %{libname} = %{version}
Conflicts: drakxtools-curses <= 10.4.83

%description text
This package contains the Mandriva network tools that can be used in
text mode.

drakconnect: LAN/Internet connection configuration. It handles
ethernet, ISDN, DSL, cable, modem.

drakfirewall: simple firewall configurator

drakgw: internet connection sharing

drakproxy: proxies configuration

drakvpn: VPN configuration (openvpn, vpnc)


%package -n %{libname}
Summary: Mandriva network tools library
Group: System/Configuration/Networking
Requires: drakxtools-backend
Requires: perl-Net-Telnet
Conflicts: drakxtools-backend <= 10.4.83

%description -n	%{libname}
This package contains the Mandriva network tools library.

%prep
%setup -q

%build
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

(cd $RPM_BUILD_ROOT; ls -1 usr/lib/libDrakX/network/*.pm) | perl -ne 'm!/%{gtk_files}$! ? print STDERR "/$_" : print "/$_"' > %{name}-nogtk.list 2> %{name}-gtk.list

# adapt drakx-net snapshot from cooker to 2008.0 locales
mv %{buildroot}%{_datadir}/locale/uz %{buildroot}%{_datadir}/locale/uz@Latn
mv %{buildroot}%{_datadir}/locale/uz@cyrillic %{buildroot}%{_datadir}/locale/uz

%find_lang %{name}
cat %{name}-nogtk.list %{name}.lang > %{name}.list

# consolehelper config
# ask for user password
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/draknetcenter

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

ln -sf %{_sysconfdir}/pam.d/mandriva-console-auth %{buildroot}%{_sysconfdir}/pam.d/draknetcenter

cat > %{buildroot}%{_sysconfdir}/security/console.apps/draknetcenter <<EOF
USER=<user>
PROGRAM=/usr/sbin/draknetcenter
FALLBACK=false
SESSION=true
EOF

# consolehelper config
# ask for root password
for pak in drakconnect drakgw drakproxy drakvpn drakhosts; do
        ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        ln -sf %{_sysconfdir}/pam.d/mandriva-simple-auth %{buildroot}%{_sysconfdir}/pam.d/$pak
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=root
PROGRAM=/usr/sbin/$pak
FALLBACK=false
SESSION=true
EOF
done

%check
while read f; do
      grep Gtk2 $RPM_BUILD_ROOT$f && exit 1
done < %{name}-nogtk.list
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-gtk.list
%defattr(-,root,root)
%doc NEWS
%{_bindir}/net_applet
%{_bindir}/drakroam
%{_bindir}/draknetcenter
%{_bindir}/drakhosts
%{_sbindir}/drakhosts
%{_sbindir}/drakids
%{_sbindir}/draknetcenter
%{_sbindir}/draknetprofile
%{_sbindir}/draknfs
%{_sbindir}/drakroam
%{_sbindir}/draksambashare
%{_sbindir}/net_monitor
%config(noreplace) %{_sysconfdir}/pam.d/drakroam
%config(noreplace) %{_sysconfdir}/pam.d/draknetcenter
%config(noreplace) %{_sysconfdir}/pam.d/drakhosts
%config(noreplace) %{_sysconfdir}/security/console.apps/drakroam
%config(noreplace) %{_sysconfdir}/security/console.apps/draknetcenter
%config(noreplace) %{_sysconfdir}/security/console.apps/drakhosts
%{_sysconfdir}/X11/xinit.d/??net_applet
%{_datadir}/applications/net_applet.desktop
%{_datadir}/autostart/net_applet.desktop
%{_datadir}/gnome/autostart/net_applet.desktop
%{_prefix}/lib/libDrakX/icons/*.png
%{_datadir}/libDrakX/pixmaps/*.png

%files text
%config(noreplace) %{_sysconfdir}/pam.d/drakconnect
%config(noreplace) %{_sysconfdir}/pam.d/drakgw
%config(noreplace) %{_sysconfdir}/pam.d/drakproxy
%config(noreplace) %{_sysconfdir}/pam.d/drakvpn
%config(noreplace) %{_sysconfdir}/security/console.apps/drakconnect
%config(noreplace) %{_sysconfdir}/security/console.apps/drakgw
%config(noreplace) %{_sysconfdir}/security/console.apps/drakproxy
%config(noreplace) %{_sysconfdir}/security/console.apps/drakvpn
%{_bindir}/drakconnect
%{_bindir}/drakgw
%{_bindir}/drakvpn
%{_bindir}/drakproxy
%{_sbindir}/drakconnect
%{_sbindir}/drakfirewall
%{_sbindir}/drakgw
%{_sbindir}/drakinvictus
%{_sbindir}/drakproxy
%{_sbindir}/drakvpn

%files -n %{libname} -f %{name}.list
%defattr(-,root,root)
%{_prefix}/lib/libDrakX/network/connection
%{_prefix}/lib/libDrakX/network/vpn



%changelog
* Mon May 05 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0.26-1.2mdv2008.0
- build for updates

* Wed Feb 27 2008 Olivier Blin <oblin@mandriva.com> 0.26-1.1mdv2008.0
+ Revision: 175650
- fix Uzbek translations files
- add strict version requirements for drakx-net-text and libdrakx-net (#35295)
- add a versionnated require on perl-Gtk2 due to needed API (from tv, #34573)
- 0.26
- draknetcenter:
  o fix crash with cellular cards (#36801)
  o allow to configure device if not installed (#33531)
  o setup connection if needed when updating networks list
  o do not enable by default devices that require slow hardware check
    (like cellular cards)
  o allow to scan networks even if slow (like cellular cards), just
    don't do it at startup
  o do not scan networks at startup if device is unavailable
  o write settings after initial connection setup
  o update networks list after initial connection setup
  o do not run sdptool search when detecting connections
  o add wait message at start
  o remove wait message when displaying device setup error
- net_monitor (tv):
  o make expose_event callback more robust (#36537)
  o make sure widgets got realized before any event callback is called
    (#36537)
  o make sure not to run timers after quitting the main loop (#37635)
- connection backend:
  o fix checking dkms modules after package installation (#33044)
  o write modalias for ethernet and wireless interfaces
    (mostly useful with ndiswrapper: #34660, #37026, #37106)
  o fix crash in providers list when weirdly translated locale country
    contains metacharacters (reported by Cosmin Humeniuc)
  o be stricter when matching provider country
  o add title in wait messages
- ndiswrapper support:
  o find more conflicting drivers: original driver from ldetect, sysfs
    driver, and drivers registered on the ssb bus
    (to find all of bcm43xx, ssb and b43 for Broadcom devices)
  o unload drivers for all conflicting interfaces
  o stop conflicting interfaces before removing conflicting modules
  o do not reload ndiswrapper module twice or more
  o improve error message for ndiswrapper setup (#28335)
- 0.25
- draksambashare (aginies):
  o fix typo, fix inherit permission problem, re-order some share
  options
  o add an Help menu
  o only display share name, directory and comment (try to improve GUI
  #27339)
  o add security options, fix list problem, fix default PDC
  configuration
  o add a wizard to configure a PDC or a standalone Samba server
  o fix wizard bug
  o add host allow option
- draknfs:
  o translate "Advanced options"
- connection frontend:
  o do not make refresh/monitor buttons sensitive if device has no
  interface
- 3G/GPRS providers list:
  o add "Orange WAP" (with "orange" as APN)
  o rename "Orange Grand Public" as "Orange Web"
- i18n:
  o renamed Uzbek translations to follow the libc standard
    (#35090, from Mashrab Kuvatov, approved by  Pixel)
  o updates
- require perl-Net-Telnet for OpenVPN connections (#36126)

* Fri Oct 05 2007 Olivier Blin <oblin@mandriva.com> 0.24-1mdv2008.0
+ Revision: 95582
- 0.24:
- draknetcenter:
  o update networks list on connection status change
  o use a scrolled window for wireless networks
  o show all wireless networks
  o do not modify GTK style, it is not consistent in MCC and
  standalone, and breaks widgets
  o check network address settings
- drakconnect/draknetcenter/drakroam:
  o check that network access settings are valid (i.e. check wireless
  key)
- drakroam: use same sort function than draknetcenter
- net_applet/drakroam/draknetcenter:
  o list current network on top of network list
  o do not show as selected the APs with same ESSID as current AP
- connection backend:
  o fix URL for Smartlink modems (#34479)
  o fix typo in german translation (#34479)
  o fix test of unicorn kernel modules
  o use Orange instead of Wanadoo France in xDSL provides list
    (Emmanuel Andry, #23172)

* Wed Oct 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.23-1mdv2008.0
+ Revision: 95033
- updated translation

* Tue Oct 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.22-1mdv2008.0
+ Revision: 94713
- update israeli xDSL provider list (#32685)

* Mon Oct 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.21-1mdv2008.0
+ Revision: 94276
- updated translation

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 0.20-1mdv2008.0
+ Revision: 93728
- 0.20
- check for draknetcenter/drakroam instances of root, not user
- do not allow to run multiple draknetcenter (#34276)

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 0.19-1mdv2008.0
+ Revision: 93445
- 0.19
- add back ipw3945 settings
- net_applet: add X-MandrivaLinux-CrossDesktop (#33416)

* Tue Sep 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.18-1mdv2008.0
+ Revision: 92926
- updated translations

* Tue Sep 25 2007 Olivier Blin <oblin@mandriva.com> 0.17-1mdv2008.0
+ Revision: 92869
- allow console users to run network center without password
- 0.17
- net_monitor:
  o fix crash on exit (Tv, #33023)
- net_applet:
  o run net center instead of simple menu on left click

* Thu Sep 20 2007 Olivier Blin <oblin@mandriva.com> 0.16-1mdv2008.0
+ Revision: 91295
- 0.16:
- connection manager (netcenter/drakroam):
  o add banner in configure dialog (#33622)
- netcenter:
  o update connection status on dbus event
  o update status icon on connection change
  o always allow to connect if no network has to be selected
  o fix connection stop
- drakroam:
  o remove extra toggle button
  o do not die when no wireless interface is configured (#33123)
- net_applet:
  o use new connected/disconnected/unconfigured icons
- connection backend:
  o wait a bit for iwl3945/iwl4965 interfaces to appear
  o fix matching of ueagle_atm module (#33029)
  o show notification about cxacru firmware

* Thu Sep 13 2007 Olivier Blin <oblin@mandriva.com> 0.15-4mdv2008.0
+ Revision: 85376
- require lib package in drakx-net-text (from Quel Qun, #33451)

* Wed Sep 12 2007 Andreas Hasenack <andreas@mandriva.com> 0.15-3mdv2008.0
+ Revision: 84831
- use new common pam config files for usermode/consolehelper

* Tue Sep 11 2007 Olivier Blin <oblin@mandriva.com> 0.15-2mdv2008.0
+ Revision: 84339
- do not package drakroam/netcenter Gtk2 files in lib package (#33451)
- make sure no file using Gtk2 is included in lib package

* Mon Sep 10 2007 Olivier Blin <oblin@mandriva.com> 0.15-1mdv2008.0
+ Revision: 84249
- 0.15
- draknetcenter:
  o use new status icons
  o add Quit button
  o do not show markup instead of interface name if interface does not
  exist (#33241)
- draknfs/draksambashare:
  o use translations (#33221)

* Fri Aug 31 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-4mdv2008.0
+ Revision: 77075
- drakhosts: ask console user for root password

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-3mdv2008.0
+ Revision: 75027
- drakproxy, drakvpn: allow console user to run them, provided root password is given
- drakgw: ask console user for root password
- drakconnect: console user can run it provided the root password is given

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-2mdv2008.0
+ Revision: 74992
- draknetcenter can now be run as root by console user with user password

* Wed Aug 22 2007 Olivier Blin <oblin@mandriva.com> 0.14-1mdv2008.0
+ Revision: 68780
- 0.14
- draknetcenter:
  o move buttons on one row
  o add per-connection expander
- net_applet:
  o always show interfaces in left-click menu
  o do not show empty menus

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 0.13-1mdv2008.0
+ Revision: 68151
- 0.13
- draknetcenter: initial prototype
- drakroam:
  o add iwl3945/iwl4965 support to replace ipw3945
  o show signal strength and encryption flags as tooltip for networks list
  o remove encryption flags column in networks list
  o pre-set Managed mode for access points detected as Master (#30303)
- net_applet:
  o fix startup with XFCE (Tv, #31834)
  o disable autostart notifications of net_applet (Tv, #18965)
  o prevent firing up drakbug when automatic startup is disabled (Tv, #32292)
  o use "Help" instead of "Get Online Help" since the doc is local (thanks damsweb)
- draksambashare:
  o fix existing shares test (aginies, #30099)
  o use exit instead of return in main code (nvigier, #32374)
- draknfs (nvigier):
  o add subtree_check option
  o fix bug with sync/async option
  o nfs service was renamed to nfs-server for 2008.0
  o fix path for do_pkgs->ensure_is_installed : /sbin/rpc.statd
    is from nfs-utils-client package, not nfs-utils
  o use exit instead of return in main code


* Sat Mar 31 2007 Olivier Blin <oblin@mandriva.com> 0.12-1mdv2007.1
+ Revision: 150102
- 0.12: fix check of nfs-utils-clients installation (Tv)

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 0.11.1-1mdv2007.1
+ Revision: 149896
- 0.11.1 (don't install .perl_checker file /o\)
- 0.11:
  o enhance selection of multiple thirdparty packages
  o make thirdparty packages code easier to re-use
    (for example in automatic install, useful for live systems)

* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 0.10-1mdv2007.1
+ Revision: 149284
- 0.10:
  o drakroam: do not show "More networks" menu if empty (#28626)
  o don't translate program names in old interface (Emmanuel Blindauer, #29196)
  o drakconnect: make net_applet reload its configuration after an interface is deleted (#28680)
  o draknfs: fix missing use of gtkset (aginies)

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 0.9-1mdv2007.1
+ Revision: 148615
- 0.9:
  o allow drakroam to be run as user (#23771)
  o do not allow drakconnect to be run as user anymore
  o fix gateway detection for new ppp daemon (#27886)
- pam config is now handled in "upstream" tarball
- update url
- move pam config in drakx-net module
- move pam config in drakx-net module

* Thu Mar 22 2007 Olivier Blin <oblin@mandriva.com> 0.8-1mdv2007.1
+ Revision: 148077
- 0.8
- prefer DNS variables over MS_DNS one in ifcfg files (should fix ppp ifcfg files and static net install)
- drakroam: rt73-firmware support (#29691)
- drakroam: do not detect network with empty ssid as configured
- drakroam: fix rf_kill detection for ipw3945 by checking it before interface presence
- drakroam: remove ipw3945d service support
- drakroam: reload ipw3945 module if no interface is present when the device is not rf-killed (fix missing interface is booting with rf-kill)
- drakroam: try to find wireless driver if unknown (fix rt61 detection)
- drakroam: rt61 firmware support

  + Thierry Vignaud <tvignaud@mandriva.com>
    - bump require on drakxtools for PCI domain support

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2007.1
+ Revision: 141488
- 0.7
- add missing tools: drakhosts, draknfs, draksambashare (thanks Titi
- for the hint)
- drakconnect: match PCI domain when looking up devices by MAC address
- (Titi)
- drakconnect: use a link detection delay for r8169
- drakconnect: default to NEEDHOSTNAME=no
- drakroam: merge flags from configured wpa_supplicant networks in all
- matching scanned networks
- drakroam: detect ad-hoc networks when wpa_supplicant is used
- drakroam: pre-select detected wireless mode of the configured
- network
- drakroam: allow to configure ad-hoc networks with wpa_supplicant
- drakroam: write more settings in ifcfg files when wpa_supplicant is
- used
- drakroam: do not write Roaming WIRELESS_MODE anymore, ifup scripts
- will rely on WIRELESS_WPA_DRIVER
- drakroam: do not override AP address with "any" when parsing
- wpa_supplicant network list
- net_applet: start it using GNOME own autostart infrastructure
- (Frederic Crozat)
- net_applet: fix detection of running net_applet processes

* Mon Feb 26 2007 Andreas Hasenack <andreas@mandriva.com> 0.6-2mdv2007.1
+ Revision: 126069
- setup drakconnect to use consolehelper (runs as root
  without prompting for a password as long as invoked by
  the console user)

* Wed Feb 07 2007 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2007.1
+ Revision: 117305
- add NEWS file
- 0.6

* Thu Jan 11 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1mdv2007.1
+ Revision: 107288
- add rt73 in the old rt2x00 list (blino)
- drakhosts, draknfs, draksambashare: move more network tools
  into drakx-net
- misc cleanups

* Thu Dec 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4-1mdv2007.1
+ Revision: 101096
- net_monitor: fix choosing color

* Wed Dec 20 2006 Olivier Blin <oblin@mandriva.com> 0.3-2mdv2007.1
+ Revision: 100535
- explicitely require perl-Gtk2-NotificationBubble

* Wed Dec 06 2006 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2007.1
+ Revision: 91619
- update tarball so that perl_checker is not required
- do not run tools in restricted mode (#27458)
- fix crash in restricted mode
- use /media instead of /mnt for cdrom/floppy
- get translations from "drakx-net" domain (from Thierry Vignaud)

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.2-2mdv2007.1
+ Revision: 89438
- bump release
- do not use mklibname

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.1
+ Revision: 89282
- net_applet: show simplified menu on left click (instead of running net_monitor)
- drakfirewall: really disable services if asked to (#27295)
- move netprofile requires in drakx-net
- move network tools description in drakx-net
- move network tools description in drakx-net

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.1-1mdv2007.1
+ Revision: 89212
- do not buildrequires perl_checker
- initial drakx-net release
- Create drakx-net

